Bug 11823 - Typo in examples/smb.conf.default: sever -> server
Typo in examples/smb.conf.default: sever -> server
Status: NEW
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.4.1
All All
: P5 trivial
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-06 15:43 UTC by Santiago Vila
Modified: 2016-04-08 21:04 UTC (History)
3 users (show)

See Also:


Attachments
Proposed patch (568 bytes, patch)
2016-04-06 15:43 UTC, Santiago Vila
ira: review+
ira: review? (jra)
obnox: review+
Details
Proposed patch in git format (956 bytes, patch)
2016-04-08 11:16 UTC, Santiago Vila
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Santiago Vila 2016-04-06 15:43:15 UTC
Created attachment 11969 [details]
Proposed patch

I reported this to Debian:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=763648

but they asked me to report it here, so here it is:


There is a small typo in examples/smb.conf.default.

The patch speaks for itself and it should apply cleanly to the git version.

Thanks.
Comment 1 Ira Cooper 2016-04-07 11:09:07 UTC
Comment on attachment 11969 [details]
Proposed patch

Clearly right.
Comment 2 Michael Adam 2016-04-07 12:45:17 UTC
Comment on attachment 11969 [details]
Proposed patch

ack.

But we should get a git patch for master first.
Comment 3 Jeremy Allison 2016-04-07 17:45:46 UTC
Let me push this to master first, then cherry-pick for the release branches.
Comment 4 Michael Adam 2016-04-07 19:29:25 UTC
(In reply to Jeremy Allison from comment #3)
> Let me push this to master first, then cherry-pick for the release branches.

Well, there is nothing to push yet, I was basically asking if Santiago would be willing to produce a git commit-patch. ;-)
Comment 5 Jeremy Allison 2016-04-07 19:31:13 UTC
Well I was gonna fake it up, but yeah - that also works :-).
Comment 6 Santiago Vila 2016-04-08 11:16:22 UTC
Created attachment 11972 [details]
Proposed patch in git format
Comment 7 Santiago Vila 2016-04-08 11:21:22 UTC
Hello people: Do you realize how much fuss are we making to just add a missing letter in a comment?

I've attached a patch in git format (git format-patch) in case it makes
your life easier.

If this is not enough, then I hereby put the patch in the public domain.
So please use "commit --amend" or whatever, I don't think bug reporters should have to read a style guide to report about a simple typo.

Thanks.
Comment 8 Michael Adam 2016-04-08 11:36:20 UTC
(In reply to Santiago Vila from comment #7)
> Hello people: Do you realize how much fuss are we making to just add a
> missing letter in a comment?
> 
> I've attached a patch in git format (git format-patch) in case it makes
> your life easier.

Sorry, that was a misunderstanding!

It was not meant as a requirement but as an offering/opportunity:

It is not about making our lives easier. It is more about giving you (as the
reporter of the defect and the provider of the inital patch) the opportunity
to get proper attribution for your work, and to the contribution just the same way as every regular contributor does. This is just the process no matter how trivial or complex the change is. (In fact for master we usually just mail the patch to the samba-technical mailing list and use bugzilla reviews to get the patches backported to the released versions.)

We could of course easily have done that for you or on behalf of you. You could have responded that you don't care and we would have taken care of it.

Anyways, since you provided the patch, thanks for your efforts!
It looks good.

> If this is not enough, then I hereby put the patch in the public domain.

We would add a signed-off line for you according to

https://wiki.samba.org/index.php/CodeReview


> So please use "commit --amend" or whatever, I don't think bug reporters
> should have to read a style guide to report about a simple typo.

Hey you did not only report a bug, but provided a patch.
I was just offering you to create a fully merge-able patch yourself.
If you're not interested, that's fine. But many people are.
And it is not about style, but about the process.

Anyways, thanks again for your effort! :-)
Comment 9 Jeremy Allison 2016-04-08 21:04:48 UTC
(In reply to Santiago Vila from comment #6)

Patch LGTM. Pushed to master with your implicit "Signed-off-by:". Thanks for your help !